package com.example.wholeestate.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.dao.SysUserMapper;
import com.example.wholeestate.model.SysUser;
import com.example.wholeestate.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Autowired
    private SysUserMapper sysUserMapper;

    @Override
    public ResponseBean login(String parameter) {

        ResponseBean responseBean = new ResponseBean();

        JSONObject jsonObject = JSONObject.parseObject(parameter);
        String userName = jsonObject.getString("userName");
        String password = jsonObject.getString("password");

        QueryWrapper<SysUser> sysUserQueryWrapper = new QueryWrapper<>();
        sysUserQueryWrapper.eq("user_name", userName);
        sysUserQueryWrapper.eq("password", password);
        SysUser sysUser = sysUserMapper.selectOne(sysUserQueryWrapper);
        if (null == sysUser) {
            responseBean.addError("用户名或密码错误!");
            return responseBean;
        }

        responseBean.addSuccess(sysUser);
        return responseBean;
    }
}
